# AdSense Management API . accounts . alerts

## Instance Methods

List the alerts for the specified AdSense account.

### Method Details

`list(accountId, locale=None)`

    List the alerts for the specified AdSense account.

    Args:
      accountId: string, Account for which to retrieve the alerts. (required)
      locale: string, The locale to use for translating alert messages. The account locale will be used if this is not supplied. The AdSense default (English) will be used if the supplied locale is invalid or unsupported.

    Returns:
      An object of the form:

        {
        "items": [ # The alerts returned in this list response.
          {
            "type": "A String", # Type of this alert. Possible values: SELF_HOLD, MIGRATED_TO_BILLING3, ADDRESS_PIN_VERIFICATION, PHONE_PIN_VERIFICATION, CORPORATE_ENTITY, GRAYLISTED_PUBLISHER, API_HOLD.
            "kind": "adsense#alert", # Kind of resource this is, in this case adsense#alert.
            "message": "A String", # The localized alert message.
            "id": "A String", # Unique identifier of this alert. This should be considered an opaque identifier; it is not safe to rely on it being in any particular format.
            "severity": "A String", # Severity of this alert. Possible values: INFO, WARNING, SEVERE.
          },
        ],
        "kind": "adsense#alerts", # Kind of list this is, in this case adsense#alerts.
      }